Feature: 3.7 - Search Order

    Scenario: The order of the search results should be correct
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
            | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
        And the following properties exist
            | title                                   | description                      | type | property_type | state     | location   | room_count | area  | floor | floor_count | price  |
            | Available property and not interested   | Renting this really really house | rent | apartment     | available | London, UK | 3          | 100.0 | 2     | 5           | 500000 |
            | Unavailable property and interested     | Renting this really really house | rent | apartment     | reserved  | London, UK | 3          | 100.0 | 2     | 5           | 500000 |
            | Available property and interested       | Renting this really really house | rent | apartment     | available | London, UK | 3          | 100.0 | 2     | 5           | 500000 |
            | Unavailable property and not interested | Renting this really really house | rent | apartment     | reserved  | London, UK | 3          | 100.0 | 2     | 5           | 500000 |
        And I am logged in
        And the following not interested settings exist
            | title                                   |
            | Available property and not interested   |
            | Unavailable property and not interested |
        When I search for properties
        Then I should see the following properties in order
            | title                                   |
            | Available property and interested       |
            | Unavailable property and interested     |
            | Available property and not interested   |
            | Unavailable property and not interested |
