defmodule PropTrackr.Messaging.MessageAssociation do
  use Ecto.Schema
  import Ecto.Changeset

  schema "message_associations" do
    belongs_to :message, PropTrackr.Messaging.Message
    belongs_to :user, PropTrackr.Accounts.User

    timestamps()
  end

  def changeset(assoc, params \\ %{}) do
    assoc
    |> cast(params, [])
    |> validate_required([])
  end
end
