defmodule PropTrackr.Repo.Migrations.AddNotInterested do
  use Ecto.Migration

  def change do
    create table(:not_interested) do
      add :user_id, references(:users, on_delete: :delete_all)
      add :property_id, references(:properties, on_delete: :delete_all)
      timestamps()
    end

    create unique_index(:not_interested, [:user_id, :property_id])
  end
end
