defmodule PropTrackr.Repo.Migrations.AddMessages do
  use Ecto.Migration

  def change do
    create table(:messages) do
      add :title, :string
      add :content, :string

      add :user_id, references(:users)

      timestamps(type: :utc_datetime)
    end

    create table(:message_associations) do
      add :message_id, references(:messages)
      add :user_id, references(:users)

      timestamps(type: :utc_datetime)
    end
  end
end
