Feature: FR-30 User profile

    Scenario: Authenticated user should be able to view their profile
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I am logged in
        When I go to the profile page
        Then I should see my profile details

    Scenario: Unauthenticated user should be shown an error message and redirected to the homepage
        Given I am not logged in
        When I go to the profile page
        Then I should see an error message
        And I should be redirected to the login page

